#version 460 core

layout(location=0) in vec3 position;
layout(location=1) in vec3 vert_colour;

uniform mat4 u_model;
uniform mat4 u_projection;

out vec3 vert_colours;

void main() {
  vert_colours = vert_colour;
  gl_Position = u_projection * u_model * vec4(position, 1.0f);
};
